Name:           perl-Net-Async-HTTP-Server
Version:        0.14
Release:        2%{?dist}
Summary:        Serve HTTP with IO::Async
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Net-Async-HTTP-Server/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Net-Async-HTTP-Server-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators coreutils
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::Async) >= 0.54
BuildRequires:  perl(IO::Async::Listener) >= 0.61
BuildRequires:  perl(IO::Async::SSL)
BuildRequires:  perl(IO::Async::Test)
BuildRequires:  perl(Metrics::Any) >= 0.05
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::Async::HTTP)
BuildRequires:  perl(Test2::V0) >= 0.000147
BuildRequires:  perl(Test::Metrics::Any)
BuildRequires:  perl(Test::Refcount)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%description
This module allows a program to respond asynchronously to HTTP requests, as
part of a program based on IO::Async. An object in this class listens on a
single port and invokes the on_request callback or subclass method whenever
an HTTP request is received, allowing the program to respond to it.

%prep
%setup -q -n Net-Async-HTTP-Server-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes examples README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jan 20 2024 Chris Adams <linux@cmadams.net> 0.04-2
- spec file cleanups

* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 0.14-1
- initial package
